AntiFeatures:
    NonFreeNet:
        en-US: Tethered to the XRCB servers (you cannot change the instance).
    Tracking:
        en-US: Uses Matomo to track statistics (cannot be disabled).
Categories:
  - Internet
License: GPL-3.0-only
WebSite: https://xrcb.cat/en/
SourceCode: https://gitlab.com/guifi-exo/xrcb/xrcb-app
IssueTracker: https://gitlab.com/guifi-exo/xrcb/xrcb-app/issues

AutoName: XRCB

RepoType: git
Repo: https://gitlab.com/guifi-exo/xrcb/xrcb-app.git

Builds:
  - versionName: 1.7.2
    versionCode: 15
    commit: bdf21d3c76ac7fd9e18b8269b0315d477c8d496f
    subdir: XrcbApp/android/app
    sudo:
      - sysctl fs.inotify.max_user_watches=524288 || true
      - curl -Lo node.tar.xz https://nodejs.org/dist/v16.17.0/node-v16.17.0-linux-x64.tar.xz
      - echo "f0867d7a17a4d0df7dbb7df9ac3f9126c2b58f75450647146749ef296b31b49b  node.tar.xz"
        | sha256sum -c -
      - tar xJf node.tar.xz --strip-components=1 -C /usr/local/
    init: npm install --no-optional --build-from-source
    gradle:
      - yes
    rm:
      - XrcbApp/ios
    prebuild: sed -i -e '/signingConfig signingConfigs/d' build.gradle
    scanignore:
      - XrcbApp/android/build.gradle
      - XrcbApp/node_modules/jsc-android/
      - XrcbApp/node_modules/react-native/android/
      - XrcbApp/node_modules/react-native-localize/android/build.gradle
      - XrcbApp/node_modules/react-native/ReactAndroid/build.gradle
      - XrcbApp/node_modules/react-native-safe-area-context/android/build.gradle
      - XrcbApp/node_modules/react-native-screens/android/build.gradle
      - XrcbApp/node_modules/react-native-svg/android/build.gradle
      - XrcbApp/node_modules/react-native-track-player/android/build.gradle
    scandelete:
      - XrcbApp/node_modules/
    ndk: r20b

  - versionName: 1.7.3
    versionCode: 16
    commit: 7bbe7f9b4f5cea07830354294bc6dc07080f4ecf
    subdir: XrcbApp/android/app
    sudo:
      - sysctl fs.inotify.max_user_watches=524288 || true
      - curl -Lo node.tar.gz https://nodejs.org/dist/v16.17.0/node-v16.17.0-linux-x64.tar.gz
      - echo "4827808e50b8ee42b4dadf056835287dac267b9cff56cea56e70843bf8cecb79  node.tar.gz"
        | sha256sum -c -
      - tar xzf node.tar.gz --strip-components=1 -C /usr/local/
    init: npm install --no-optional --build-from-source
    gradle:
      - yes
    rm:
      - XrcbApp/ios
    prebuild: sed -i -e '/signingConfig signingConfigs/d' build.gradle
    scanignore:
      - XrcbApp/android/build.gradle
      - XrcbApp/node_modules/jsc-android/
      - XrcbApp/node_modules/react-native/android/
      - XrcbApp/node_modules/react-native-localize/android/build.gradle
      - XrcbApp/node_modules/react-native/ReactAndroid/build.gradle
      - XrcbApp/node_modules/react-native-safe-area-context/android/build.gradle
      - XrcbApp/node_modules/react-native-screens/android/build.gradle
      - XrcbApp/node_modules/react-native-svg/android/build.gradle
      - XrcbApp/node_modules/react-native-track-player/android/build.gradle
    scandelete:
      - XrcbApp/node_modules/
    ndk: r20b

  - versionName: 1.7.4
    versionCode: 17
    commit: 7506c77f0a14d69d466954e47593c11e36c9850f
    subdir: XrcbApp/android/app
    sudo:
      - sysctl fs.inotify.max_user_watches=524288 || true
      - curl -Lo node.tar.gz https://nodejs.org/dist/v16.17.0/node-v16.17.0-linux-x64.tar.gz
      - echo "4827808e50b8ee42b4dadf056835287dac267b9cff56cea56e70843bf8cecb79  node.tar.gz"
        | sha256sum -c -
      - tar xzf node.tar.gz --strip-components=1 -C /usr/local/
    init: npm install --no-optional --build-from-source
    gradle:
      - yes
    rm:
      - XrcbApp/ios
    prebuild: sed -i -e '/signingConfig signingConfigs/d' build.gradle
    scanignore:
      - XrcbApp/android/build.gradle
      - XrcbApp/node_modules/jsc-android/
      - XrcbApp/node_modules/react-native/android/
      - XrcbApp/node_modules/react-native-localize/android/build.gradle
      - XrcbApp/node_modules/react-native/ReactAndroid/build.gradle
      - XrcbApp/node_modules/react-native-safe-area-context/android/build.gradle
      - XrcbApp/node_modules/react-native-screens/android/build.gradle
      - XrcbApp/node_modules/react-native-svg/android/build.gradle
      - XrcbApp/node_modules/react-native-track-player/android/build.gradle
    scandelete:
      - XrcbApp/node_modules/
    ndk: r20b

  - versionName: 1.7.5
    versionCode: 18
    commit: 759471905407e9491c3b758750489dc80a383d88
    subdir: XrcbApp/android/app
    sudo:
      - sysctl fs.inotify.max_user_watches=524288 || true
      - curl -Lo node.tar.gz https://nodejs.org/dist/v16.17.0/node-v16.17.0-linux-x64.tar.gz
      - echo "4827808e50b8ee42b4dadf056835287dac267b9cff56cea56e70843bf8cecb79  node.tar.gz"
        | sha256sum -c -
      - tar xzf node.tar.gz --strip-components=1 -C /usr/local/
    init: npm install --no-optional --build-from-source
    gradle:
      - yes
    rm:
      - XrcbApp/ios
    prebuild: sed -i -e '/signingConfig signingConfigs/d' build.gradle
    scanignore:
      - XrcbApp/android/build.gradle
      - XrcbApp/node_modules/jsc-android/
      - XrcbApp/node_modules/react-native/android/
      - XrcbApp/node_modules/react-native-localize/android/build.gradle
      - XrcbApp/node_modules/react-native/ReactAndroid/build.gradle
      - XrcbApp/node_modules/react-native-safe-area-context/android/build.gradle
      - XrcbApp/node_modules/react-native-screens/android/build.gradle
      - XrcbApp/node_modules/react-native-svg/android/build.gradle
      - XrcbApp/node_modules/react-native-track-player/android/build.gradle
    scandelete:
      - XrcbApp/node_modules/
    ndk: r20b

  - versionName: 1.7.6
    versionCode: 19
    commit: 145306967da9cbc4cf6310abf7924e69f871ce81
    subdir: XrcbApp/android/app
    sudo:
      - sysctl fs.inotify.max_user_watches=524288 || true
      - curl -Lo node.tar.gz https://nodejs.org/dist/v16.17.0/node-v16.17.0-linux-x64.tar.gz
      - echo "4827808e50b8ee42b4dadf056835287dac267b9cff56cea56e70843bf8cecb79  node.tar.gz"
        | sha256sum -c -
      - tar xzf node.tar.gz --strip-components=1 -C /usr/local/
    init: npm install --no-optional --build-from-source
    gradle:
      - yes
    rm:
      - XrcbApp/ios
    prebuild: sed -i -e '/signingConfig signingConfigs/d' build.gradle
    scanignore:
      - XrcbApp/android/build.gradle
      - XrcbApp/node_modules/jsc-android/
      - XrcbApp/node_modules/react-native/android/
      - XrcbApp/node_modules/react-native-localize/android/build.gradle
      - XrcbApp/node_modules/react-native/ReactAndroid/build.gradle
      - XrcbApp/node_modules/react-native-safe-area-context/android/build.gradle
      - XrcbApp/node_modules/react-native-screens/android/build.gradle
      - XrcbApp/node_modules/react-native-svg/android/build.gradle
      - XrcbApp/node_modules/react-native-track-player/android/build.gradle
    scandelete:
      - XrcbApp/node_modules/
    ndk: r20b

  - versionName: 1.7.7
    versionCode: 20
    commit: 60684d999463f0bcfca42b14ae2df6945e0b6fa1
    subdir: XrcbApp/android/app
    sudo:
      - sysctl fs.inotify.max_user_watches=524288 || true
      - curl -Lo node.tar.gz https://nodejs.org/dist/v16.17.0/node-v16.17.0-linux-x64.tar.gz
      - echo "4827808e50b8ee42b4dadf056835287dac267b9cff56cea56e70843bf8cecb79  node.tar.gz"
        | sha256sum -c -
      - tar xzf node.tar.gz --strip-components=1 -C /usr/local/
    init: npm install --no-optional --build-from-source
    gradle:
      - yes
    rm:
      - XrcbApp/ios
    prebuild: sed -i -e '/signingConfig signingConfigs/d' build.gradle
    scanignore:
      - XrcbApp/android/build.gradle
      - XrcbApp/node_modules/jsc-android/
      - XrcbApp/node_modules/react-native/android/
      - XrcbApp/node_modules/react-native-localize/android/build.gradle
      - XrcbApp/node_modules/react-native/ReactAndroid/build.gradle
      - XrcbApp/node_modules/react-native-safe-area-context/android/build.gradle
      - XrcbApp/node_modules/react-native-screens/android/build.gradle
      - XrcbApp/node_modules/react-native-svg/android/build.gradle
      - XrcbApp/node_modules/react-native-track-player/android/build.gradle
    scandelete:
      - XrcbApp/node_modules/
    ndk: r20b

MaintainerNotes: XRCB server soft is FOSS, so this should become TetheredNet later.

AutoUpdateMode: Version
UpdateCheckMode: Tags
CurrentVersion: 1.7.7
CurrentVersionCode: 20
